var g = require("./index"),
    lint = require("geojsonhint");

var featurePoint = {
      "type": "Feature",
      "properties": {},
      "geometry": {
        "type": "Point",
        "coordinates": [
          18.984375,
          57.32652122521709
        ]
      }
    };

var point = {
        "type": "Point",
        "coordinates": [
          18.984375,
          57.32652122521709
        ]
      };

var featureLinestring = {
      "type": "Feature",
      "properties": {},
      "geometry": {
        "type": "LineString",
        "coordinates": [
          [
            19.6875,
            33.43144133557529
          ],
          [
            11.25,
            45.089035564831015
          ],
          [
            -7.03125,
            46.558860303117164
          ],
          [
            -11.6015625,
            54.367758524068385
          ],
          [
            6.328125,
            53.5403073915002
          ],
          [
            35.15625,
            51.17934297928927
          ]
        ]
      }
    };

var linestring = {
        "type": "LineString",
        "coordinates": [
          [
            19.6875,
            33.43144133557529
          ],
          [
            11.25,
            45.089035564831015
          ],
          [
            -7.03125,
            46.558860303117164
          ],
          [
            -11.6015625,
            54.367758524068385
          ],
          [
            6.328125,
            53.5403073915002
          ],
          [
            35.15625,
            51.17934297928927
          ]
        ]
      };

var polygon = { "type": "Polygon",
    "coordinates": [
      [ [100.0, 0.0], [101.0, 0.0], [101.0, 1.0], [100.0, 1.0], [100.0, 0.0] ]
      ]
   };

var holyPolygon = { "type": "Polygon",
    "coordinates": [
      [ [100.0, 0.0], [101.0, 0.0], [101.0, 1.0], [100.0, 1.0], [100.0, 0.0] ],
      [ [100.2, 0.2], [100.8, 0.2], [100.8, 0.8], [100.2, 0.8], [100.2, 0.2] ]
      ]
   };

var multipoint = { "type": "MultiPoint",
    "coordinates": [ [100.0, 0.0], [101.0, 1.0] ]
    }

var multipoly = { "type": "MultiPolygon",
    "coordinates": [
      [[[102.0, 2.0], [103.0, 2.0], [103.0, 3.0], [102.0, 3.0], [102.0, 2.0]]],
      [[[100.0, 0.0], [101.0, 0.0], [101.0, 1.0], [100.0, 1.0], [100.0, 0.0]],
       [[100.2, 0.2], [100.8, 0.2], [100.8, 0.8], [100.2, 0.8], [100.2, 0.2]]]
      ]
    };

var multilinestring = { "type": "MultiLineString",
    "coordinates": [
        [ [100.0, 0.0], [101.0, 1.0] ],
        [ [102.0, 2.0], [103.0, 3.0] ]
      ]
    }

var featureCollection = {
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "properties": {},
      "geometry": {
        "type": "Polygon",
        "coordinates": [
          [
            [
              -69.60937499999999,
              51.17934297928927
            ],
            [
              -71.015625,
              48.45835188280866
            ],
            [
              -93.8671875,
              28.613459424004414
            ],
            [
              -45,
              24.206889622398023
            ],
            [
              -39.7265625,
              41.244772343082076
            ],
            [
              -46.7578125,
              47.98992166741417
            ],
            [
              -69.60937499999999,
              51.17934297928927
            ]
          ]
        ]
      }
    },
    {
      "type": "Feature",
      "properties": {},
      "geometry": {
        "type": "Polygon",
        "coordinates": [
          [
            [
              -31.289062500000004,
              10.833305983642491
            ],
            [
              -31.289062500000004,
              34.30714385628804
            ],
            [
              -7.03125,
              34.30714385628804
            ],
            [
              -7.03125,
              10.833305983642491
            ],
            [
              -31.289062500000004,
              10.833305983642491
            ]
          ]
        ]
      }
    },
    {
      "type": "Feature",
      "properties": {},
      "geometry": {
        "type": "Point",
        "coordinates": [
          18.984375,
          57.32652122521709
        ]
      }
    },
    {
      "type": "Feature",
      "properties": {},
      "geometry": {
        "type": "LineString",
        "coordinates": [
          [
            19.6875,
            33.43144133557529
          ],
          [
            11.25,
            45.089035564831015
          ],
          [
            -7.03125,
            46.558860303117164
          ],
          [
            -11.6015625,
            54.367758524068385
          ],
          [
            6.328125,
            53.5403073915002
          ],
          [
            35.15625,
            51.17934297928927
          ]
        ]
      }
    }
  ]
};

var geomc = { "type": "GeometryCollection",
    "geometries": [
      { "type": "Point",
        "coordinates": [100.0, 0.0]
        },
      { "type": "LineString",
        "coordinates": [ [101.0, 0.0], [102.0, 1.0] ]
        }
    ]
  };

//console.log(parse(featurePoint, 3));
//console.log(parse(point, 3));
//console.log(JSON.stringify(parse(featureLinestring, 3)));
//console.log(parse(linestring, 3));
//console.log(parse(multipoint, 5));
console.log(JSON.stringify(g.parse(polygon, 3)));
console.log(JSON.stringify(g.parse(holyPolygon, 3)));
console.log(JSON.stringify(g.parse(multipoly, 3)));
//console.log(JSON.stringify(parse(multilinestring, 3)));
//console.log(JSON.stringify(parse(featureCollection, 2)));

//console.log(JSON.stringify(g.parse(geomc, 3)));

console.log(lint.hint(JSON.stringify(g.parse(holyPolygon, 3))));
